## org.eclipse.jst.jsf.core.set.mapping
Class ElementToTagIdentifierMapping

    java.lang.Object
      org.eclipse.jst.jsf.common.sets.mapping.AbstractObjectInjectiveSetMapping
          org.eclipse.jst.jsf.core.set.mapping.ElementToTagIdentifierMapping

All Implemented Interfaces:
  AxiomaticSetMapping, ObjectInjectiveSetMapping

    public class ElementToTagIdentifierMapping

extends AbstractObjectInjectiveSetMapping

Converts a set of DOM element's to a set of (object) injective set of TagIdentifiers. If the element is a JSP tag, the tag uri will be looked up. IMPORTANT: the returned TagIdentifiers are wrapper objects, so they only maintain immutability and idempotency as long as the input dom elements do not change.

Provisional API - subject to change

Constructor Summary
`ElementToTagIdentifierMapping()`

Method Summary
`java.lang.Object` `map(java.lang.Object element)`

Methods inherited from class org.eclipse.jst.jsf.common.sets.mapping.AbstractObjectInjectiveSetMapping
`map, mapIterator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementToTagIdentifierMapping

    public ElementToTagIdentifierMapping()

Method Detail

### map

    public java.lang.Object map(java.lang.Object element)

  Specified by:
    `map` in class `AbstractObjectInjectiveSetMapping`
  Returns:
    the result object from the mapping on element